RDS-PING(1)

NAME
rds-ping - test reachability of remote node over RDS

SYNOPSIS
rds-ping [-c count] [-i interval] [-I local_addr] remote_addr

DESCRIPTION
rds-ping is used to test whether a remote node is reachable over RDS. Its interface is designed to operate pretty much the standard ping(8) utility, even though the way it works is pretty different.

rds-ping opens several RDS sockets and sends packets to port 0 on the indicated host. This is a special port number to which no socket is bound; instead, the kernel processes incoming packets and responds to them.

OPTIONS
The following options are available for use on the command line:

-c count
    Causes rds-ping to exit after sending (and receiving) the specified number of packets.

-I address
    By default, rds-ping will pick the local source address for the RDS socket based on routing information for the destination address (i.e. if packets to the given destination would be routed through interface ib0, then it will use the IP address of ib0 as source address). Using the -I option, you can override this choice.

-i timeout
    By default, rds-ping will wait for one second between sending packets. Use this option to specified a different interval. The timeout value is given in seconds, and can be a floating point number. Optionally, append msec or usec to specify a timeout in milliseconds or microseconds, respectively.

    Specifying a timeout considerably smaller than the packet round-trip time will produce unexpected results.

AUTHORS
rds-ping was written by Olaf Kirch <olaf.kirch@oracle.com>.

SEE ALSO
rds(7), rds-info(1), rds-stress(1).